package com.bohuikeji.delivery.backstage.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bohuikeji.delivery.backstage.entity.TCourier;
import com.bohuikeji.delivery.backstage.entity.TCourierTypeExamine;
import com.bohuikeji.delivery.backstage.mapper.TCourierTypeExamineMapper;
import com.bohuikeji.delivery.backstage.service.*;
import com.bohuikeji.frame.module.admin.base.ServiceImplBase;
import com.bohuikeji.frame.module.admin.entity.sys.SysConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 派送员信息表 服务实现类
 * </p>
 *
 * @author 10552
 * @since 2019-08-22
 */
@Service
@Slf4j
public class TCourierTypeExamineServiceImpl extends ServiceImplBase<TCourierTypeExamineMapper, TCourierTypeExamine> implements ITCourierTypeExamineService {

    @Autowired
    ITCourierService courierService;

    @Override
    public boolean addTypeExamine(TCourier tCourier, SysConfig config, JSONObject jsonObject) {
        log.info("@@@@@@@@@@@@@@@@@@@@@@@@:[{}]",jsonObject);
        TCourierTypeExamine tCourierTypeExamine = new TCourierTypeExamine();
        tCourierTypeExamine.setCourierId(tCourier.getCourierId());
        tCourierTypeExamine.setCourierNumber(tCourier.getCourierNumber());
        tCourierTypeExamine.setCourierName(tCourier.getCourierName());
        tCourierTypeExamine.setCourierPhone(tCourier.getCourierPhone());
        tCourierTypeExamine.setCourierGender(tCourier.getCourierGender());
        tCourierTypeExamine.setCourierCard(tCourier.getCourierCard());
        tCourierTypeExamine.setCourierCardUrl(tCourier.getCourierCardUrl());
        tCourierTypeExamine.setCourierContUrl(jsonObject.getString("contUrl"));//合同图片
        tCourierTypeExamine.setCourierInsUrl(jsonObject.getString("insUrl"));//保险证明图片
        tCourierTypeExamine.setFranId(tCourier.getFranId());
        tCourierTypeExamine.setCourierCreateTime(LocalDateTime.now());
        tCourierTypeExamine.setApplyType(config.getConfigName());
        tCourierTypeExamine.setCourierType(tCourier.getCourierType());
        if(save(tCourierTypeExamine)){
            courierService.updateById(tCourier.setCourierType("审核中"));
        }
        return true;
    }
}
